Get Home Timeline
curl --request POST \
--url https://api.omnixapi.com/api/v1/twitter/user/home_timeline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auth_token": "YOUR_X_AUTH_TOKEN",
"count": 20,
"cursor": "<string>",
"proxy": "http://user:pass@host:8080"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auth_token: 'YOUR_X_AUTH_TOKEN',
count: 20,
cursor: '<string>',
proxy: 'http://user:pass@host:8080'
})
};
fetch('https://api.omnixapi.com/api/v1/twitter/user/home_timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnixapi.com/api/v1/twitter/user/home_timeline"
payload = {
"auth_token": "YOUR_X_AUTH_TOKEN",
"count": 20,
"cursor": "<string>",
"proxy": "http://user:pass@host:8080"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": {
"userId": "<string>",
"tweet_count": 123,
"has_more": true,
"next_cursor": "<string>",
"tweets": [
{
"type": "tweet",
"id": "1899999999999999999",
"url": "<string>",
"twitterUrl": "<string>",
"text": "Exciting times ahead",
"source": "Twitter for iPhone",
"retweetCount": 1200,
"replyCount": 3400,
"likeCount": 56000,
"quoteCount": 210,
"viewCount": 4500000,
"bookmarkCount": 800,
"createdAt": "Wed Jun 11 18:30:00 +0000 2025",
"lang": "en",
"isReply": true,
"inReplyToId": "<string>",
"inReplyToUserId": "<string>",
"conversationId": "<string>",
"media": [
{
"type": "photo",
"url": "<string>",
"expanded_url": "<string>",
"video_url": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
}
],
"entities": {
"hashtags": [
{}
],
"symbols": [
{}
],
"timestamps": [
{}
],
"urls": [
{}
],
"user_mentions": [
{}
]
},
"author": {
"type": "user",
"id": "44196397",
"userName": "elonmusk",
"name": "Elon Musk",
"url": "<string>",
"twitterUrl": "<string>",
"isVerified": true,
"isBlueVerified": true,
"verifiedType": "<string>",
"profilePicture": "<string>",
"coverPicture": "<string>",
"description": "<string>",
"location": "<string>",
"followers": 123,
"following": 123,
"favouritesCount": 123,
"statusesCount": 123,
"mediaCount": 123,
"canDm": true,
"createdAt": "<string>",
"pinnedTweetIds": [
"<string>"
]
},
"quoted_tweet": {}
}
]
},
"error": null
}Users
Get Home Timeline
The authed user’s home feed (For You).
POST
/
user
/
home_timeline
Get Home Timeline
curl --request POST \
--url https://api.omnixapi.com/api/v1/twitter/user/home_timeline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auth_token": "YOUR_X_AUTH_TOKEN",
"count": 20,
"cursor": "<string>",
"proxy": "http://user:pass@host:8080"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auth_token: 'YOUR_X_AUTH_TOKEN',
count: 20,
cursor: '<string>',
proxy: 'http://user:pass@host:8080'
})
};
fetch('https://api.omnixapi.com/api/v1/twitter/user/home_timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnixapi.com/api/v1/twitter/user/home_timeline"
payload = {
"auth_token": "YOUR_X_AUTH_TOKEN",
"count": 20,
"cursor": "<string>",
"proxy": "http://user:pass@host:8080"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": {
"userId": "<string>",
"tweet_count": 123,
"has_more": true,
"next_cursor": "<string>",
"tweets": [
{
"type": "tweet",
"id": "1899999999999999999",
"url": "<string>",
"twitterUrl": "<string>",
"text": "Exciting times ahead",
"source": "Twitter for iPhone",
"retweetCount": 1200,
"replyCount": 3400,
"likeCount": 56000,
"quoteCount": 210,
"viewCount": 4500000,
"bookmarkCount": 800,
"createdAt": "Wed Jun 11 18:30:00 +0000 2025",
"lang": "en",
"isReply": true,
"inReplyToId": "<string>",
"inReplyToUserId": "<string>",
"conversationId": "<string>",
"media": [
{
"type": "photo",
"url": "<string>",
"expanded_url": "<string>",
"video_url": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
}
],
"entities": {
"hashtags": [
{}
],
"symbols": [
{}
],
"timestamps": [
{}
],
"urls": [
{}
],
"user_mentions": [
{}
]
},
"author": {
"type": "user",
"id": "44196397",
"userName": "elonmusk",
"name": "Elon Musk",
"url": "<string>",
"twitterUrl": "<string>",
"isVerified": true,
"isBlueVerified": true,
"verifiedType": "<string>",
"profilePicture": "<string>",
"coverPicture": "<string>",
"description": "<string>",
"location": "<string>",
"followers": 123,
"following": 123,
"favouritesCount": 123,
"statusesCount": 123,
"mediaCount": 123,
"canDm": true,
"createdAt": "<string>",
"pinnedTweetIds": [
"<string>"
]
},
"quoted_tweet": {}
}
]
},
"error": null
}Authorizations
Your OmniX API key, e.g. omnix_live_.... Billed per call.
Body
application/json
The X account auth_token cookie the action runs as.
Example:
"YOUR_X_AUTH_TOKEN"
Optional outbound proxy for this call (http:// or https://, optionally user:pass@host:port). The X request runs through it — useful for geo-routing or spreading calls across IPs. SOCKS proxies are not supported.
Example:
"http://user:pass@host:8080"
⌘I